{
  "$schema": "http://json-schema.org/draft-07/schema#",
  "properties": {
    "apiVersion": {
      "type": "string"
    },
    "authorizedUsers": {
      "default": "",
      "nullable": true,
      "type": "string"
    },
    "createPrivateIp": {
      "default": false,
      "type": "boolean"
    },
    "dockerPort": {
      "default": "2376",
      "nullable": true,
      "type": "string"
    },
    "image": {
      "default": "linode/ubuntu18.04",
      "nullable": true,
      "type": "string"
    },
    "instanceType": {
      "default": "g6-standard-4",
      "nullable": true,
      "type": "string"
    },
    "kind": {
      "type": "string"
    },
    "label": {
      "default": "",
      "nullable": true,
      "type": "string"
    },
    "metadata": {
      "type": "object"
    },
    "region": {
      "default": "us-east",
      "nullable": true,
      "type": "string"
    },
    "rootPass": {
      "default": "",
      "nullable": true,
      "type": "string"
    },
    "sshPort": {
      "default": "22",
      "nullable": true,
      "type": "string"
    },
    "sshUser": {
      "default": "",
      "nullable": true,
      "type": "string"
    },
    "stackscript": {
      "default": "",
      "nullable": true,
      "type": "string"
    },
    "stackscriptData": {
      "default": "",
      "nullable": true,
      "type": "string"
    },
    "swapSize": {
      "default": "512",
      "nullable": true,
      "type": "string"
    },
    "tags": {
      "default": "",
      "nullable": true,
      "type": "string"
    },
    "token": {
      "default": "",
      "nullable": true,
      "type": "string"
    },
    "uaPrefix": {
      "default": "",
      "nullable": true,
      "type": "string"
    }
  },
  "type": "object"
}
